package es.uv.saic.dto;

import es.uv.saic.domain.Rol;

public class RolDTO {
    private Integer idRol;
    private String descripcioCas;
    private String descripcioVal;
    private String nomRol;
    private String ambit;

    public RolDTO() {
    }

    public RolDTO(Integer idRol, String descripcioCas, String descripcioVal, String nomRol, String ambit) {
        this.idRol = idRol;
        this.descripcioCas = descripcioCas;
        this.descripcioVal = descripcioVal;
        this.nomRol = nomRol;
        this.ambit = ambit;
    }

    public RolDTO(Rol rol) {
        this.idRol = rol.getIdRol();
        this.descripcioCas = rol.getDescripcioCas();
        this.descripcioVal = rol.getDescripcioVal();
        this.nomRol = rol.getNomRol();
        this.ambit = rol.getAmbit();
    }

    public Integer getIdRol() {
        return idRol;
    }

    public void setIdRol(Integer idRol) {
        this.idRol = idRol;
    }

    public String getDescripcioCas() {
        return descripcioCas;
    }

    public void setDescripcioCas(String descripcioCas) {
        this.descripcioCas = descripcioCas;
    }

    public String getDescripcioVal() {
        return descripcioVal;
    }

    public void setDescripcioVal(String descripcioVal) {
        this.descripcioVal = descripcioVal;
    }

    public String getNomRol() {
        return nomRol;
    }

    public void setNomRol(String nomRol) {
        this.nomRol = nomRol;
    }

    public String getAmbit() {
        return ambit;
    }

    public void setAmbit(String ambit) {
        this.ambit = ambit;
    }

}
